INTERFACE
SUBROUTINE RDPHTRAJTM (KSTEP,KSTA,KEND,KJUMP,KFIELDS,&
 & PCVGQ,&
 & PDIFCQ,PDIFCS,PDIFTQ,PDIFTS,&
 & PFCCQL,PFCCQN,PFCSQL,PFCSQN,&
 & PFPLCL,PFPLCN,PFPLSL,PFPLSN,PFRSO ,PFRTH,&
 & PSTRCU,PSTRCV,PSTRDU,PSTRDV,PSTRTU,PSTRTV,&
 & PSTRMU,PSTRMV,PFRMH,&
 & PKTROV,PKUROV,PXTROV,PXUROV,&
 & PCDROV,PCHROV,PXDROV,PXHROV,&
 & PTENDU,PTENDV,PTENDH,PTENDQ ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KJUMP
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
REAL(KIND=JPRB) ,INTENT(OUT) :: PCVGQ(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCQ(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFCS(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFTQ(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFTS(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCCQL(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCCQN(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCSQL(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCSQN(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLCL(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLCN(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSL(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSN(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSO(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTH(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCU(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRCV(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDU(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDV(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRTU(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRTV(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMU(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMV(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRMH(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKTROV(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKUROV(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXTROV(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXUROV(NPROMA,NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCDROV(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCHROV(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXDROV(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXHROV(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDU(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDH(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDQ(NPROMA,NFLEVG)
END SUBROUTINE RDPHTRAJTM
END INTERFACE
